Skip to main content
POST
Add Line

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

order_id
string<uuid>
required

Body

application/json
inventory_item_id
string<uuid>
required
platform
enum<string>
required
Available options:
TV,
RADIO,
DIGITAL
description
string
required
daily_count
integer
default:1
Required range: x >= 1
duration_type
enum<string>
default:WEEKS
Available options:
DAYS,
WEEKS
duration_count
integer
default:1
Required range: x >= 1
start_date
string<date> | null
end_date
string<date> | null
rate_card_price
Required range: x >= 0
base_units
integer | null
Required range: x >= 1
unit_label
string | null
price_per_extra_unit
Required range: x >= 0
is_value_add
boolean
default:false
requires_production
boolean
default:false

Response

Successful Response